import * as $dara from '@darabonba/typescript';
export declare class ListUnknownThreatDetectStrategyResponseBodyData extends $dara.Model {
    /**
     * @example
     * UNKNOWN_THREAT_DETECT_CONFIG_****
     */
    assetSelectionType?: string;
    /**
     * @example
     * 1
     */
    durationDaysAfterInit?: number;
    /**
     * @example
     * 1
     */
    durationDaysAfterStop?: number;
    /**
     * @example
     * 1
     */
    id?: number;
    /**
     * @example
     * 1
     */
    machineCount?: number;
    /**
     * @example
     * test****
     */
    name?: string;
    /**
     * @example
     * hash
     */
    studyMode?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListUnknownThreatDetectStrategyResponseBodyPageInfo extends $dara.Model {
    /**
     * @example
     * 20
     */
    count?: number;
    /**
     * @example
     * 1
     */
    currentPage?: number;
    /**
     * @example
     * 20
     */
    pageSize?: number;
    /**
     * @example
     * 69
     */
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class ListUnknownThreatDetectStrategyResponseBody extends $dara.Model {
    data?: ListUnknownThreatDetectStrategyResponseBodyData[];
    pageInfo?: ListUnknownThreatDetectStrategyResponseBodyPageInfo;
    /**
     * @remarks
     * Id of the request
     *
     * @example
     * 898F7AA7-CECD-5EC7-AF4D-664C601B****
     */
    requestId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
